Member Function
AlignedReadStoreElement
Constructor
AlignedReadStoreElement<> ()
AlignedReadStoreElement<TPos[, TGapAnchor[, TSpec]]> ()
AlignedReadStoreElement<TPos[, TGapAnchor[, TSpec]]> (id, readId, contigId, beginPos, endPos[, gaps])
Parameters

id | The alignment id refers to associated alignment information in alignQualityStore or alignedReadTagStore.
readId | Refers to the aligned read in the readStore.
contigId | Refers to the contig in the contigStore the read is aligned with.
beginPos | Begin position of the alignment in gap-space.
endPos | End position of the alignment in gap-space.
gaps | Read gap anchors.

Remarks
The default constructor sets all ids to INVALID_ID and beginPos and endPos to 0.
Member of
AlignedReadStoreElement
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49